instalace samby a update

Ahoj nejde mme nainstalovat klient samby. Sambu jsem nainstaloval ale client pro konfiguraci nejde. Pise to nothing to do. Jeste bych se chtel zeptat co potrebuji aby me fungovala sit windows XP a fedora. Tj abych mohl z XP pristupovat k fedore. Poradite mi prosim?
Dekuji.
PS: jeste se me stava ze nejde aktualizace, mozna to s tim souvisi
Vypis pri aktualizaci:
[hypnos@localhost ~]$ su
Heslo:
su: chybné heslo
[hypnos@localhost ~]$ su
Heslo:
[root@localhost hypnos]# yum update
Loading “installonlyn” plugin
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files
Resolving Dependencies
–> Populating transaction set with selected packages. Please wait.
—> Package ImageMagick.i386 0:6.2.8.0-4.fc6 set to be updated
—> Package libXfont.i386 0:1.2.8-1.fc6 set to be updated
—> Package iputils.i386 0:20070202-2.fc6 set to be updated
—> Package mplayerplug-in.i386 0:3.40-1.lvn6 set to be updated
—> Package cups.i386 1:1.2.10-3.fc6 set to be updated
—> Package nfs-utils.i386 1:1.0.10-7.fc6 set to be updated
—> Package procps.i386 0:3.2.7-8.3.fc6 set to be updated
—> Package tzdata.noarch 0:2007d-1.fc6 set to be updated
—> Package selinux-policy-targeted.noarch 0:2.4.6-54.fc6 set to be updated
—> Package openssh-askpass.i386 0:4.3p2-19.fc6 set to be updated
—> Package gpm.i386 0:1.20.1-82.fc6 set to be updated
—> Package openoffice.org-impress.i386 1:2.0.4-5.5.17 set to be updated
—> Package gnupg.i386 0:1.4.7-5 set to be updated
—> Package openoffice.org-math.i386 1:2.0.4-5.5.17 set to be updated
—> Package brlapi.i386 0:0.4.1-2.1.fc6 set to be updated
—> Package lame-libs.i386 0:3.97-4.lvn6 set to be updated
—> Package cadaver.i386 0:0.22.3-4.fc6 set to be updated
—> Package selinux-policy.noarch 0:2.4.6-54.fc6 set to be updated
—> Package openoffice.org-calc.i386 1:2.0.4-5.5.17 set to be updated
—> Package audit-libs-python.i386 0:1.4.2-5.fc6 set to be updated
—> Package xvidcore.i386 0:1.1.2-2.lvn6 set to be updated
—> Package openoffice.org-langpack-cs_CZ.i386 1:2.0.4-5.5.17 set to be updated
—> Package system-config-printer.i386 0:0.7.52.1-2.fc6 set to be updated
—> Package openoffice.org-writer.i386 1:2.0.4-5.5.17 set to be updated
—> Package openssh-clients.i386 0:4.3p2-19.fc6 set to be updated
—> Package netdump.i386 0:0.7.16-13 set to be updated
—> Package kernel.i686 0:2.6.20-1.2933.fc6 set to be installed
—> Package openoffice.org-draw.i386 1:2.0.4-5.5.17 set to be updated
—> Package xorg-x11-server-Xorg.i386 0:1.1.1-47.8.fc6 set to be updated
—> Package ghostscript.i386 0:8.15.4-1.fc6 set to be updated
—> Package audit-libs.i386 0:1.4.2-5.fc6 set to be updated
—> Package alsa-utils.i386 0:1.0.14-0.1.rc1.fc6 set to be updated
—> Package openssh-server.i386 0:4.3p2-19.fc6 set to be updated
—> Package yum-updatesd.noarch 0:3.0.5-2.fc6 set to be updated
—> Package yum.noarch 0:3.0.5-2.fc6 set to be updated
—> Package libwpd.i386 0:0.8.9-1.fc6 set to be updated
—> Package gaim.i386 2:2.0.0-0.31.beta6.fc6 set to be updated
—> Package openoffice.org-xsltfilter.i386 1:2.0.4-5.5.17 set to be updated
—> Package paps.i386 0:0.6.6-19.fc6 set to be updated
—> Package system-config-printer-libs.i386 0:0.7.52.1-2.fc6 set to be updated
—> Package kmod-ntfs.i686 0:2.1.28-1.2.6.20_1.2933.fc6 set to be installed
—> Package krb5-libs.i386 0:1.5-21 set to be updated
—> Package parted.i386 0:1.8.2-2.fc6 set to be updated
—> Package SDL.i386 0:1.2.11-1.fc6 set to be updated
—> Package evolution.i386 0:2.8.3-2.fc6 set to be updated
—> Package alsa-lib.i386 0:1.0.14-0.1.rc1.fc6 set to be updated
—> Package mplayer-doc.i386 0:1.0-0.72.20070325svn.lvn6 set to be updated
—> Package openoffice.org-core.i386 1:2.0.4-5.5.17 set to be updated
—> Package evolution-data-server.i386 0:1.8.3-4.fc6 set to be updated
—> Package kernel-headers.i386 0:2.6.20-1.2933.fc6 set to be updated
—> Package file.i386 0:4.19-2.fc6 set to be updated
—> Package openoffice.org-graphicfilter.i386 1:2.0.4-5.5.17 set to be updated
—> Package psmisc.i386 0:22.2-5.1 set to be updated
—> Package ntfs-3g.i386 2:1.328-2.fc6 set to be updated
—> Package net-snmp-libs.i386 1:5.3.1-14.fc6 set to be updated
—> Package krb5-workstation.i386 0:1.5-21 set to be updated
—> Package openssh.i386 0:4.3p2-19.fc6 set to be updated
—> Package libmodplug.i386 1:0.8.4-1.fc6 set to be updated
—> Package cups-libs.i386 1:1.2.10-3.fc6 set to be updated
—> Package dhclient.i386 12:3.0.5-4.fc6 set to be updated
–> Running transaction check
–> Populating transaction set with selected packages. Please wait.
—> Package kmod-ntfs.i686 0:2.1.27-3.2.6.19_1.2911.6.5.fc6 set to be erased
—> Package kernel.i686 0:2.6.19-1.2911.6.5.fc6 set to be erased
–> Running transaction check

Dependencies Resolved

=============================================================================
Package Arch Version Repository Size

Installing:
kernel i686 2.6.20-1.2933.fc6 updates 16 M
kmod-ntfs i686 2.1.28-1.2.6.20_1.2933.fc6 livna 106 k
Updating:
ImageMagick i386 6.2.8.0-4.fc6 updates 3.3 M
SDL i386 1.2.11-1.fc6 updates 217 k
alsa-lib i386 1.0.14-0.1.rc1.fc6 updates 408 k
alsa-utils i386 1.0.14-0.1.rc1.fc6 updates 1.0 M
audit-libs i386 1.4.2-5.fc6 updates 59 k
audit-libs-python i386 1.4.2-5.fc6 updates 77 k
brlapi i386 0.4.1-2.1.fc6 updates 77 k
cadaver i386 0.22.3-4.fc6 updates 99 k
cups i386 1:1.2.10-3.fc6 updates 2.9 M
cups-libs i386 1:1.2.10-3.fc6 updates 183 k
dhclient i386 12:3.0.5-4.fc6 updates 275 k
evolution i386 2.8.3-2.fc6 updates 13 M
evolution-data-server i386 1.8.3-4.fc6 updates 3.4 M
file i386 4.19-2.fc6 updates 357 k
gaim i386 2:2.0.0-0.31.beta6.fc6 updates 6.9 M
ghostscript i386 8.15.4-1.fc6 updates 5.9 M
gnupg i386 1.4.7-5 updates 1.9 M
gpm i386 1.20.1-82.fc6 updates 185 k
iputils i386 20070202-2.fc6 updates 158 k
kernel-headers i386 2.6.20-1.2933.fc6 updates 657 k
krb5-libs i386 1.5-21 updates 593 k
krb5-workstation i386 1.5-21 updates 894 k
lame-libs i386 3.97-4.lvn6 livna 331 k
libXfont i386 1.2.8-1.fc6 updates 228 k
libmodplug i386 1:0.8.4-1.fc6 extras 167 k
libwpd i386 0.8.9-1.fc6 updates 195 k
mplayer-doc i386 1.0-0.72.20070325svn.lvn6 livna 2.2 M
mplayerplug-in i386 3.40-1.lvn6 livna 507 k
net-snmp-libs i386 1:5.3.1-14.fc6 updates 1.1 M
netdump i386 0.7.16-13 updates 16 k
nfs-utils i386 1:1.0.10-7.fc6 updates 334 k
ntfs-3g i386 2:1.328-2.fc6 extras 147 k
openoffice.org-calc i386 1:2.0.4-5.5.17 updates 7.7 M
openoffice.org-core i386 1:2.0.4-5.5.17 updates 88 M
openoffice.org-draw i386 1:2.0.4-5.5.17 updates 1.1 M
openoffice.org-graphicfilter i386 1:2.0.4-5.5.17 updates 205 k
openoffice.org-impress i386 1:2.0.4-5.5.17 updates 1.6 M
openoffice.org-langpack-cs_CZ i386 1:2.0.4-5.5.17 updates 14 M
openoffice.org-math i386 1:2.0.4-5.5.17 updates 1.3 M
openoffice.org-writer i386 1:2.0.4-5.5.17 updates 3.0 M
openoffice.org-xsltfilter i386 1:2.0.4-5.5.17 updates 96 k
openssh i386 4.3p2-19.fc6 updates 279 k
openssh-askpass i386 4.3p2-19.fc6 updates 37 k
openssh-clients i386 4.3p2-19.fc6 updates 433 k
openssh-server i386 4.3p2-19.fc6 updates 252 k
paps i386 0.6.6-19.fc6 updates 32 k
parted i386 1.8.2-2.fc6 updates 534 k
procps i386 3.2.7-8.3.fc6 updates 208 k
psmisc i386 22.2-5.1 updates 62 k
selinux-policy noarch 2.4.6-54.fc6 updates 354 k
selinux-policy-targeted noarch 2.4.6-54.fc6 updates 793 k
system-config-printer i386 0.7.52.1-2.fc6 updates 155 k
system-config-printer-libs i386 0.7.52.1-2.fc6 updates 265 k
tzdata noarch 2007d-1.fc6 updates 747 k
xorg-x11-server-Xorg i386 1.1.1-47.8.fc6 updates 3.2 M
xvidcore i386 1.1.2-2.lvn6 livna 243 k
yum noarch 3.0.5-2.fc6 updates 487 k
yum-updatesd noarch 3.0.5-2.fc6 updates 21 k
Removing:
kernel i686 2.6.19-1.2911.6.5.fc6 installed 46 M
kmod-ntfs i686 2.1.27-3.2.6.19_1.2911.6.5.fc6 installed 264 k

Transaction Summary

Install 2 Package(s)
Update 58 Package(s)
Remove 2 Package(s)

Total download size: 188 M
Is this ok [y/N]: y
Downloading Packages:

Error Downloading Packages:
openoffice.org-core - 1:2.0.4-5.5.17.i386: Insufficient space in download directory //var/cache/yum/updates/packages to download

[root@localhost hypnos]#

Vypis pri pokusu instalace clienta
[hypnos@localhost ~]$ su
Heslo:
[root@localhost hypnos]# yum install samba
Loading “installonlyn” plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
–> Populating transaction set with selected packages. Please wait.
—> Downloading header for samba to pack into transaction set.
samba-3.0.24-4.fc6.i386.r 100% |=========================| 109 kB 00:00
—> Package samba.i386 0:3.0.24-4.fc6 set to be updated
–> Running transaction check
–> Processing Dependency: samba-common = 0:3.0.24-4.fc6 for package: samba
–> Restarting Dependency Resolution with new changes.
–> Populating transaction set with selected packages. Please wait.
—> Package samba-common.i386 0:3.0.24-4.fc6 set to be updated
–> Running transaction check
–> Processing Dependency: samba-common = 0:3.0.24-1.fc6 for package: samba-client
–> Restarting Dependency Resolution with new changes.
–> Populating transaction set with selected packages. Please wait.
—> Package samba-client.i386 0:3.0.24-4.fc6 set to be updated
–> Running transaction check

Dependencies Resolved

=============================================================================
Package Arch Version Repository Size

Installing:
samba i386 3.0.24-4.fc6 updates 16 M
Updating for dependencies:
samba-client i386 3.0.24-4.fc6 updates 4.3 M
samba-common i386 3.0.24-4.fc6 updates 8.6 M

Transaction Summary

Install 1 Package(s)
Update 2 Package(s)
Remove 0 Package(s)

Total download size: 29 M
Is this ok [y/N]: y
Downloading Packages:
(1/1): samba-3.0.24-4.fc6 100% |=========================| 16 MB 00:38
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Updating : samba-common ######################### [1/5]
Updating : samba-client ######################### [2/5]
Installing: samba ######################### [3/5]
Cleanup : samba-client ######################### [4/5]
Cleanup : samba-common ######################### [5/5]

Installed: samba.i386 0:3.0.24-4.fc6
Dependency Updated: samba-client.i386 0:3.0.24-4.fc6 samba-common.i386 0:3.0.24-4.fc6
Complete!
[root@localhost hypnos]# yum -y install Samba-client
Loading “installonlyn” plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
No Match for argument: Samba-client
Nothing to do
[root@localhost hypnos]# yum install samba-client
Loading “installonlyn” plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Nothing to do
[root@localhost hypnos]# yum -y install samba-client
Loading “installonlyn” plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Nothing to do
[root@localhost hypnos]# yum -y install system-config-Samba
Loading “installonlyn” plugin
Existing lock /var/run/yum.pid: another copy is running. Aborting.
[root@localhost hypnos]# yum -y install system-config-Samba
Loading “installonlyn” plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
No Match for argument: system-config-Samba
Nothing to do
[root@localhost hypnos]# yum -y install samba-swat.i368
Loading “installonlyn” plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
No Match for argument: samba-swat.i368
Nothing to do

Tak proč nechodí aktualizace je jasné:

Error Downloading Packages:
openoffice.org-core - 1:2.0.4-5.5.17.i386: Insufficient space in download directory //var/cache/yum/updates/packages to download

Málo místa na disku :wink:

A proč to nejde nainstalovat to ostatní, může být tím, že už to nainstalováno máte.
Spusťte si “pirut” a podívejte se na to tím.

Aha dekuji to me nenapadlo:)
Vyzkousim uvolnit nejake misto.

Presne receno neni misto v /var/cache/yum/updates/packages pravdepodobne ale nebude misto na disku obecne.

Pokud vam yum vypise:
No Match for argument
Nothing to do
pak balik toho jmena nefunguje

Pokud vypise pouze:
Nothing to do
pak je balik jiz nainstalovan.